Bug 579662 - Review Request: emacs-lookup - Search Interface with Electronic Dictionaries for Emacs
Review Request: emacs-lookup - Search Interface with Electronic Dictionaries ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
: 446814 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-06 03:39 EDT by Daiki Ueno
Modified: 2010-11-24 17:35 EST (History)
6 users (show)

See Also:
Fixed In Version: emacs-lookup-1.4.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-24 17:35:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
emacs-lookup.spec-1.patch (687 bytes, patch)
2010-11-15 01:55 EST, Jens Petersen
no flags Details | Diff

  None (edit)
Description Daiki Ueno 2010-04-06 03:39:23 EDT
Spec URL:
http://www.unixuser.org/~ueno/software/fedora/lookup/emacs-lookup.spec
SRPM URL:
http://www.unixuser.org/~ueno/software/fedora/lookup/emacs-lookup-1.99.95-1.fc13.src.rpm

Lookup is an integrated search interface with electronic dictionaries
for the Emacs text editor. You can use various kinds of dictionaries,
such as CD-ROM books and online dictionaries, in an efficient and
effective manner.
Comment 1 Daiki Ueno 2010-04-06 03:40:43 EDT
*** Bug 446814 has been marked as a duplicate of this bug. ***
Comment 2 Jens Petersen 2010-09-16 01:39:38 EDT
Taking this
Comment 3 Jens Petersen 2010-10-27 23:08:10 EDT
Sorry for sitting on this so long...

Build is failing for me:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2560288

http://koji.fedoraproject.org/koji/getfile?taskID=2560288&name=build.log&offset=-4000

:
Loading /builddir/build/BUILD/lookup-1.99.95/lisp/ucs-normalize.el (source)...
Loading /builddir/build/BUILD/lookup-1.99.95/lisp/aozora-view.el (source)...
Symbol's value as variable is void: view-mode-map
make[1]: *** [lookup.elc] Error 255
:
Comment 4 Daiki Ueno 2010-10-28 05:40:39 EDT
Thanks for taking this.  It turned out that the current situation of Lookup development is a bit complicated.  Actually there are 3 upstream versions:

lookup 1.3: the original lookup, currently unmaintained
lookup 2.0: beta version of lookup, maintained by the one of the lookup upstream developer
lookup 1.4: lookup maintained by edict team, based on 1.3

Interestingly lookup 1.4 and lookup 2.0 are both trying to add new features, as well as bug fixes.

From my half year testing with 2.0, it is actually beta quality at the moment (IMO).  So I decided to package 1.4.  Debian also ships with 1.4.

Here are updated spec and SRPM:

Spec URL: http://ueno.fedorapeople.org/emacs-lookup/emacs-lookup.spec
SRPM URL: http://ueno.fedorapeople.org/emacs-lookup/emacs-lookup-1.4.1-1.fc14.src.rpm
Comment 5 Jens Petersen 2010-10-29 03:48:16 EDT
Thanks for updating.

emacs-lookup.noarch: W: file-not-utf8 /usr/share/info/lookup-guide.info.gz

Maybe it is better to convert the info file to utf8?
Comment 6 Daiki Ueno 2010-10-29 04:31:32 EDT
(In reply to comment #5)
> emacs-lookup.noarch: W: file-not-utf8 /usr/share/info/lookup-guide.info.gz
> 
> Maybe it is better to convert the info file to utf8?

Yeah, fixed:

Spec URL: http://ueno.fedorapeople.org/emacs-lookup/emacs-lookup.spec
SRPM URL:
http://ueno.fedorapeople.org/emacs-lookup/emacs-lookup-1.4.1-2.fc14.src.rpm
Comment 7 Jens Petersen 2010-11-15 01:52:27 EST
Thanks.  Here is the review:

 +:ok, !:needs attention,  NA: not applicable

MUST Items:
[+] MUST: rpmlint output:
emacs-lookup.src: W: no-cleaning-of-buildroot %clean
emacs-lookup.src: W: no-buildroot-tag
emacs-lookup.src: W: no-%clean-section
emacs-lookup-el.noarch: W: spelling-error Summary(en_US) Elisp -> Elis, Lisp, Elise
emacs-lookup-el.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Elise
emacs-lookup-el.noarch: W: no-documentation

[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.

packaging follows Packaging:Emacs guidelines

[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines

source files have gpl headers

[+] MUST: The License field in the package spec file must match the actual license.
[!] MUST: include license files in %doc if included in source

Please add the COPYING file

[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

5f66507835f8636bd3a91243d0760a46  lookup-1.4.1.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch
[NA] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages with shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: Packages must NOT bundle copies of system libraries.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates, or require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing (except license files if necessary).
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must consistently use macros
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package has library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[NA] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[NA] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[NA] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[!] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.

Might be nice to add later at some point, if possible.

[+] SHOULD: The reviewer should test that the package builds in mock.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2601192

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

Please be sure to include the COPYING file before importing to SCM.

I think it is better also to convert NEWS to utf8, though not sure
if the guidelines insist on that.

Package is APPROVED.
Comment 8 Jens Petersen 2010-11-15 01:55:09 EST
Created attachment 460484 [details]
emacs-lookup.spec-1.patch

Little patch that takes care of COPYING and NEWS changes.
Comment 9 Daiki Ueno 2010-11-15 02:00:32 EST
Thanks for the review and patch.

New Package SCM Request
=======================
Package Name: emacs-lookup
Short Description: Search Interface with Electronic Dictionaries for Emacs
Owners: ueno
Branches: f14 f13
InitialCC: i18n-team
Comment 10 Jason Tibbitts 2010-11-15 09:19:11 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2010-11-15 20:10:48 EST
emacs-lookup-1.4.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/emacs-lookup-1.4.1-3.fc14
Comment 12 Fedora Update System 2010-11-15 20:10:57 EST
emacs-lookup-1.4.1-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/emacs-lookup-1.4.1-3.fc13
Comment 13 Fedora Update System 2010-11-16 18:15:57 EST
emacs-lookup-1.4.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-lookup'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/emacs-lookup-1.4.1-3.fc13
Comment 14 Fedora Update System 2010-11-24 17:35:29 EST
emacs-lookup-1.4.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-11-24 17:35:45 EST
emacs-lookup-1.4.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.